CometAPI で GET /v1/videos//content を使用して生成された Sora 2 動画のバイナリデータを取得し、video_id によって完成した動画出力をダウンロードします。
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id}/content \
--header 'Authorization: Bearer <token>'"<string>"completed に到達した後に完成済みの Sora 出力をダウンロードするために使用します。それまでは、動画ファイルの代わりにエラーが返されます。
status: completed が返されるまで待ちますvideo_id を渡します完了までポーリング
completed に到達するまで 動画を取得 を使用します。invalid_request_error の JSON レスポンスが返されました。これは、レンダリングがまだ実行中の間に想定される動作です。Bearer token authentication. Use your CometAPI key.
Completed video id.
Optional content variant such as the main video, thumbnail, or spritesheet when supported by the provider.
Binary video content.
The response is of type file.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id}/content \
--header 'Authorization: Bearer <token>'"<string>"